.user-profile-container {
    @apply relative flex flex-col flex-1 items-center p-6;
}

.user-profile-banner {
    @apply absolute pointer-events-none w-full top-0 left-0 overflow-hidden;
    height: 400px;
    mask-image: linear-gradient(to bottom, #000, #000 calc(100% - 305px), transparent calc(100% - 5px), transparent);
    opacity: 0.4;
}

.user-profile-header {
    @apply w-full mx-auto z-10;
}

.user-profile-header-content {
    @apply flex flex-row flex-1 items-center my-10;
}

.user-profile-picture-container {
    @apply flex flex-row flex-grow items-center;

    .user-profile-picture-content {
        @apply relative flex-shrink-0 h-24 w-24 rounded-full mr-4;

        .user-profile-picture-image {
            @apply relative inline-block overflow-hidden;

            img {
                @apply h-24 w-24 rounded-full;
            }
        }
    }
}

.user-profile-name-container {
    @apply flex flex-col justify-center items-start;

    .user-profile-name-content {
        @apply text-xl text-neutral-100 font-display-1;
    }

    .user-profile-phrase {
        @apply inline-block text-base text-neutral-200 h-auto break-words whitespace-normal overflow-hidden;
        max-width: 280px;
        text-overflow: ellipsis;
    }
}

.profile-container {
    min-height: 100%;
    position: fixed;
    overflow: hidden;
    top: 0px;
    width: 100%;
}
